Package com.castlabs.sdk.debug.view

# Class PlayerSettingsFragment

java.lang.Object
androidx.fragment.app.Fragment
com.castlabs.sdk.debug.view.PlayerSettingsFragment

All Implemented Interfaces:
  `ComponentCallbacks`, `View.OnCreateContextMenuListener`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `androidx.savedstate.SavedStateRegistryOwner`

public class PlayerSettingsFragment extends androidx.fragment.app.Fragment

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `PlayerSettingsFragment.SettingsView`
  Base interface for settings view to reset them

  ## Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

  `androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `MAX_RATE_LIMIT_BPS`
  `static final long`
  `MIN_RATE_LIMIT_BPS`
  `static final String`
  `PREFS_BACK_BUFFER_DURATION`
  `static final String`
  `PREFS_CLIP_END`
  `static final String`
  `PREFS_CLIP_START`
  `static final String`
  `PREFS_DEGRADATION_PENALTY`
  `static final String`
  `PREFS_DEGRADATION_RECOVERY`
  `static final String`
  `PREFS_DEGRADATION_SAMPLES`
  `static final String`
  `PREFS_DRAIN_WHILE_CHARGING`
  `static final String`
  `PREFS_KEY_ALGO`
  `static final String`
  `PREFS_KEY_BANDWIDTH_FRACTION`
  `static final String`
  `PREFS_KEY_BUFFER_SIZE_BYTES`
  `static final String`
  `PREFS_KEY_BUFFER_SIZE_MAX_TIME`
  `static final String`
  `PREFS_KEY_BUFFER_SIZE_MIN_TIME`
  `static final String`
  `PREFS_KEY_DOWNLOAD_TIME_FACTOR`
  `static final String`
  `PREFS_KEY_INITIAL_BANDWIDTH`
  `static final String`
  `PREFS_KEY_MAX_DECREASE`
  `static final String`
  `PREFS_KEY_MIN_INCREASE`
  `static final String`
  `PREFS_KEY_RATELIMIT`
  `static final String`
  `PREFS_KEY_RETAIN`
  `static final String`
  `PREFS_KEY_SAFE_BUFFER`
  `static final String`
  `PREFS_MIN_RESTART_BUFFER`
  `static final String`
  `PREFS_MIN_START_BUFFER`
  `static final String`
  `PREFS_PERCENTILE_WEIGHT`
  `static final String`
  `PREFS_STORE_NAME`
  `static final String`
  `PREFS_TIME_OVER_MEMORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlayerSettingsFragment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onAttach(Context context)`
  `View`
  `onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)`
  `void`
  `reset()`
  Reset the config views and load their value from the current preferences or defaults

  ### Methods inherited from class androidx.fragment.app.Fragment

  `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PREFS_STORE_NAME

    public static final String PREFS_STORE_NAME
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_RATELIMIT

    public static final String PREFS_KEY_RATELIMIT
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_INITIAL_BANDWIDTH

    public static final String PREFS_KEY_INITIAL_BANDWIDTH
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_MIN_INCREASE

    public static final String PREFS_KEY_MIN_INCREASE
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_MAX_DECREASE

    public static final String PREFS_KEY_MAX_DECREASE
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_BANDWIDTH_FRACTION

    public static final String PREFS_KEY_BANDWIDTH_FRACTION
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_DOWNLOAD_TIME_FACTOR

    public static final String PREFS_KEY_DOWNLOAD_TIME_FACTOR
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_RETAIN

    public static final String PREFS_KEY_RETAIN
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_SAFE_BUFFER

    public static final String PREFS_KEY_SAFE_BUFFER
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_ALGO

    public static final String PREFS_KEY_ALGO
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_BUFFER_SIZE_BYTES

    public static final String PREFS_KEY_BUFFER_SIZE_BYTES
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_BUFFER_SIZE_MIN_TIME

    public static final String PREFS_KEY_BUFFER_SIZE_MIN_TIME
    See Also:
      - Constant Field Values

  - ### PREFS_KEY_BUFFER_SIZE_MAX_TIME

    public static final String PREFS_KEY_BUFFER_SIZE_MAX_TIME
    See Also:
      - Constant Field Values

  - ### PREFS_DRAIN_WHILE_CHARGING

    public static final String PREFS_DRAIN_WHILE_CHARGING
    See Also:
      - Constant Field Values

  - ### PREFS_TIME_OVER_MEMORY

    public static final String PREFS_TIME_OVER_MEMORY
    See Also:
      - Constant Field Values

  - ### PREFS_MIN_START_BUFFER

    public static final String PREFS_MIN_START_BUFFER
    See Also:
      - Constant Field Values

  - ### PREFS_MIN_RESTART_BUFFER

    public static final String PREFS_MIN_RESTART_BUFFER
    See Also:
      - Constant Field Values

  - ### PREFS_BACK_BUFFER_DURATION

    public static final String PREFS_BACK_BUFFER_DURATION
    See Also:
      - Constant Field Values

  - ### PREFS_CLIP_START

    public static final String PREFS_CLIP_START
    See Also:
      - Constant Field Values

  - ### PREFS_CLIP_END

    public static final String PREFS_CLIP_END
    See Also:
      - Constant Field Values

  - ### PREFS_PERCENTILE_WEIGHT

    public static final String PREFS_PERCENTILE_WEIGHT
    See Also:
      - Constant Field Values

  - ### PREFS_DEGRADATION_PENALTY

    public static final String PREFS_DEGRADATION_PENALTY
    See Also:
      - Constant Field Values

  - ### PREFS_DEGRADATION_RECOVERY

    public static final String PREFS_DEGRADATION_RECOVERY
    See Also:
      - Constant Field Values

  - ### PREFS_DEGRADATION_SAMPLES

    public static final String PREFS_DEGRADATION_SAMPLES
    See Also:
      - Constant Field Values

  - ### MIN_RATE_LIMIT_BPS

    public static final long MIN_RATE_LIMIT_BPS
    See Also:
      - Constant Field Values

  - ### MAX_RATE_LIMIT_BPS

    public static final long MAX_RATE_LIMIT_BPS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PlayerSettingsFragment

    public PlayerSettingsFragment()

- ## Method Details

  - ### onAttach

    public void onAttach(Context context)
    Overrides:
      `onAttach` in class `androidx.fragment.app.Fragment`

  - ### onCreateView

    @Nullable public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState)
    Overrides:
      `onCreateView` in class `androidx.fragment.app.Fragment`

  - ### reset

    public void reset()
    Reset the config views and load their value from the current preferences or defaults